Bug 891282 - (elementary) Review Request: elementary - Basic widget set that is easy to use based on EFL
Review Request: elementary - Basic widget set that is easy to use based on EFL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On: embryo edje e_dbus eio emotion Enlightenment-Tracker
Blocks: terminology
  Show dependency treegraph
 
Reported: 2013-01-02 07:54 EST by Rahul Sundaram
Modified: 2013-10-09 20:53 EDT (History)
8 users (show)

See Also:
Fixed In Version: elementary-1.7.8-4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 10:32:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
chat-to-me: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2013-01-02 07:54:04 EST
Spec URL: http://sundaram.fedorapeople.org/packages/elementary.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/elementary-1.7.4-1.fc18.src.rpm
Description:
Elementary is a widget set. It is a new-style of widget set much more canvas
object based than anything else.
Fedora Account System Username: sundaram
Comment 1 Dan Mashal 2013-06-07 05:56:52 EDT
Now that we have embryo on rawhide please update this to 1.7.7
Comment 2 Dan Mashal 2013-09-05 20:30:25 EDT
Waiting on Wolfgang to return from holiday. In the process of updating the spec and SRPM for his review.
Comment 3 Wolfgang Ulbrich 2013-09-06 04:19:44 EDT
The spec file needs to be work!

1. rpmlint issue.
elementary.x86_64: E: invalid-soname /usr/lib64/elementary_testql.so elementary_testql.so

see http://fedoraproject.org/wiki/Common_Rpmlint_issues#invalid-soname
Is this a privat libary which is only needed by the package or a public libary?
I suggest to ask Rex for help.

2.
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in elementary
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

3.
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.

4.
===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools

AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: elementary-1.7.4/configure.ac:55

You should inform upstream about this.

5.
Rpmlint (installed packages)
----------------------------
# rpmlint elementary elementary-devel
elementary.x86_64: E: invalid-soname /usr/lib64/elementary_testql.so elementary_testql.so
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/elementary_testql.so /lib64/libedbus.so.1
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/elementary_testql.so /lib64/libdbus-1.so.3
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/elementary_testql.so /lib64/libefreet_mime.so.1
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/elementary_testql.so /lib64/libefreet_trash.so.1
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/elementary_testql.so /lib64/libeet.so.1
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/elementary_testql.so /lib64/librt.so.1
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/elementary_testql.so /lib64/libpthread.so.0
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/elementary_testql.so /lib64/libecore_evas.so.1
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libelementary.so.1.7.4 /lib64/librt.so.1
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libelementary.so.1.7.4 /lib64/libecore_fb.so.1
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libelementary.so.1.7.4 /lib64/libecore_sdl.so.1
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libelementary.so.1.7.4 /lib64/libdbus-1.so.3
elementary.x86_64: W: no-documentation
elementary.x86_64: W: no-manual-page-for-binary elementary_test
elementary.x86_64: W: no-manual-page-for-binary elementary_quicklaunch
elementary.x86_64: W: no-manual-page-for-binary elementary_config
elementary.x86_64: W: no-manual-page-for-binary elementary_run
elementary.x86_64: W: no-manual-page-for-binary elementary_testql
elementary-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 1 errors, 19 warnings.
# echo 'rpmlint-done:'

The unused-direct-shlib-dependency warning can be easy fixed. Add

sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

after the configure call.

6.
Isa and release tag is missing in -devel subpackage. Use
Requires:	%{name}%{?_isa} = %{version}-%{release}
http://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency

7.
Don't own %{_libdir}/edje. This directory is already owned by edje.
Comment 4 Dan Mashal 2013-09-06 05:14:55 EDT
Updated:

Spec URL: http://vicodan.fedorapeople.org/elementary.spec
SRPM URL: http://vicodan.fedorapeople.org/elementary-1.7.8-1.fc21.src.rpm
Description:
Elementary is a widget set. It is a new-style of widget set much more canvas
object based than anything else.
Comment 5 Dan Mashal 2013-09-06 05:15:41 EDT
In regards to:

elementary-devel.x86_64: E: invalid-soname /usr/lib64/elementary_testql.so elementary_testql.so

Posed the question to upstream. Should not block the review.
Comment 6 Ding-Yi Chen 2013-09-23 01:55:59 EDT
It seems like edje-utils is BuildRequires to finish build.
Comment 7 Dan Mashal 2013-09-24 09:01:24 EDT
Updated:

Spec URL: http://vicodan.fedorapeople.org/elementary.spec
SRPM URL: http://vicodan.fedorapeople.org/elementary-1.7.8-2.fc21.src.rpm
Description:
Elementary is a widget set. It is a new-style of widget set much more canvas
object based than anything else.

Hi Wolfgang,

I have removed the file in question from the package. It is useless. Spoke with upstream about it.

For the record it is a private shared object that wouldn't be used by other packages. Regardless of that I have removed the file from the package.

$ rpmlint elementary-1.7.8-1.fc21.x86_64.rpm 
elementary.x86_64: W: no-manual-page-for-binary elementary_run
elementary.x86_64: W: no-manual-page-for-binary elementary_quicklaunch
elementary.x86_64: W: no-manual-page-for-binary elementary_config
elementary.x86_64: W: no-manual-page-for-binary elementary_testql
elementary.x86_64: W: desktopfile-without-binary /usr/share/applications/elementary_test.desktop elementary_test
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
$ rpmlint elementary-devel-1.7.8-1.fc21.x86_64.rpm 
elementary-devel.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


Please continue the review.
Comment 8 Dan Mashal 2013-09-24 09:02:51 EDT
(In reply to Ding-Yi Chen from comment #6)
> It seems like edje-utils is BuildRequires to finish build.

What makes you think that?
Comment 9 Wolfgang Ulbrich 2013-09-24 13:49:27 EDT
Please fix this first!
https://bugzilla.redhat.com/show_bug.cgi?id=eio
Eio creates a file conflict and eio is an dependency of elementry!
This is also mentioned in you rel-eng ticket.
Comment 10 Wolfgang Ulbrich 2013-09-24 14:11:20 EDT
 # ['/usr/bin/yum-builddep', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', '/var/lib/mock/fedora-rawhide-x86_64/root///builddir/build/SRPMS/elementary-1.7.8-2.fc21.src.rpm']
Getting requirements for elementary-1.7.8-2.fc21.src
 --> Already installed : desktop-file-utils-0.22-1.fc21.x86_64
 --> 1:doxygen-1.8.4-4.fc20.x86_64
 --> e_dbus-devel-1.7.8-1.fc21.x86_64
 --> ecore-devel-1.7.8-3.fc21.x86_64
 --> edje-devel-1.7.8-3.fc21.x86_64
 --> eet-devel-1.7.8-3.fc21.x86_64
 --> eeze-devel-1.7.8-2.fc20.x86_64
 --> efreet-devel-1.7.8-3.fc21.x86_64
 --> eio-devel-1.7.8-2.fc21.x86_64
 --> embryo-devel-1.7.8-3.fc21.x86_64
 --> emotion-devel-1.7.8-8.fc21.x86_64
 --> evas-devel-1.7.8-1.fc21.x86_64
 --> libeina-devel-1.7.8-1.fc20.x86_64
Error: Kein Paket gefunden für evas_generic_loaders

Dan -1 !!!
Why did you didn't test a package before you ask for a review?
Sorry, this is a minimal requirement what i expected from a person who want's to be a provent packager.
Comment 11 Ding-Yi Chen 2013-09-24 20:46:10 EDT
(In reply to Dan Mashal from comment #8)
> (In reply to Ding-Yi Chen from comment #6)
> > It seems like edje-utils is BuildRequires to finish build.
> 
> What makes you think that?

Because on my build, it asked for /usr/lib64/edje/utils/epp, which is in edje-utils
Comment 12 Dan Mashal 2013-09-25 17:01:59 EDT
(In reply to Ding-Yi Chen from comment #11)
> (In reply to Dan Mashal from comment #8)
> > (In reply to Ding-Yi Chen from comment #6)
> > > It seems like edje-utils is BuildRequires to finish build.
> > 
> > What makes you think that?
> 
> Because on my build, it asked for /usr/lib64/edje/utils/epp, which is in
> edje-utils

Thanks.
Comment 13 Dan Mashal 2013-09-26 17:30:58 EDT
Updated:

Spec URL: http://vicodan.fedorapeople.org/elementary.spec
SRPM URL: http://vicodan.fedorapeople.org/elementary-1.7.8-3.fc21.src.rpm
Description:
Elementary is a widget set. It is a new-style of widget set much more canvas
object based than anything else.

Successful builds on F20 and Rawhide here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5989369
http://koji.fedoraproject.org/koji/taskinfo?taskID=5989360
Comment 14 Wolfgang Ulbrich 2013-09-27 08:54:47 EDT
Package needs work !

1. lisence issue
COPYING says that LGPLv2+ is used. lisencescheck pointed to
GPL (v2 or later)
-----------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/elementary-1.7.8/ltmain.sh

This i wrong because GPLv2+ comes from libtool which generate ltmain.sh.
Why do you use BSD as lisence?

2.
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in elementary
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

Please use icon-cache scriptlets!

3.
elementary.x86_64: W: desktopfile-without-binary /usr/share/applications/elementary_test.desktop elementary_test

Please remove this desktop file!

4.
Pls own directory. %{_libdir}/edje/modules/elm  is unowned!
Note, %{_libdir}/edje/modules is owned by emotion.

5.
You did reomove elementary_testql.so in %install section, but the package provide a binary  %{_bindir}/elementary_testql , i'm pretty shure executing this binary will fail.
Please fix this with removing the binary too or don't remove the libary.

6. Easy to fix rpmlint warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint elementary elementary-devel
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libelementary.so.1.7.8 /lib64/librt.so.1
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libelementary.so.1.7.8 /lib64/libecore_fb.so.1
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libelementary.so.1.7.8 /lib64/libecore_sdl.so.1
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libelementary.so.1.7.8 /lib64/libdbus-1.so.3
elementary.x86_64: W: no-manual-page-for-binary elementary_run
elementary.x86_64: W: no-manual-page-for-binary elementary_quicklaunch
elementary.x86_64: W: no-manual-page-for-binary elementary_config
elementary.x86_64: W: no-manual-page-for-binary elementary_testql
elementary.x86_64: W: desktopfile-without-binary /usr/share/applications/elementary_test.desktop elementary_test
elementary-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 10 warnings.
# echo 'rpmlint-done:'

https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency

One fix for packages which use libtool is to put this in your %build section after the %configure call: 
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
Comment 15 Wolfgang Ulbrich 2013-09-27 09:02:52 EDT
Hmm, some of this points are already mentioned in comment 3 by me :-/
Comment 16 Dan Mashal 2013-09-27 21:48:17 EDT
Updated:

Spec URL: http://vicodan.fedorapeople.org/elementary.spec
SRPM URL: http://vicodan.fedorapeople.org/elementary-1.7.8-4.fc19.src.rpm
Description:
Elementary is a widget set. It is a new-style of widget set much more canvas
object based than anything else.
Comment 17 Wolfgang Ulbrich 2013-09-27 22:10:41 EDT
APPROVED !


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 545 files have unknown
     license. Detailed output of licensecheck in
     /home/rave/891282-elementary/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/edje, /usr/lib64/edje/modules
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/edje/modules,
     /usr/lib64/edje
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in elementary
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[ ]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 5611520 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: elementary-1.7.8-4.fc21.x86_64.rpm
          elementary-devel-1.7.8-4.fc21.x86_64.rpm
          elementary-1.7.8-4.fc21.src.rpm
elementary.x86_64: W: no-manual-page-for-binary elementary_run
elementary.x86_64: W: no-manual-page-for-binary elementary_config
elementary.x86_64: W: no-manual-page-for-binary elementary_quicklaunch
elementary-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint elementary elementary-devel
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libelementary.so.1.7.8 /lib64/librt.so.1
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libelementary.so.1.7.8 /lib64/libecore_fb.so.1
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libelementary.so.1.7.8 /lib64/libecore_sdl.so.1
elementary.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libelementary.so.1.7.8 /lib64/libdbus-1.so.3
elementary.x86_64: W: no-manual-page-for-binary elementary_run
elementary.x86_64: W: no-manual-page-for-binary elementary_quicklaunch
elementary.x86_64: W: no-manual-page-for-binary elementary_config
elementary.x86_64: W: no-manual-page-for-binary elementary_testql
elementary.x86_64: W: desktopfile-without-binary /usr/share/applications/elementary_test.desktop elementary_test
elementary-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 10 warnings.
# echo 'rpmlint-done:'



Requires
--------
elementary (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    libdbus-1.so.3()(64bit)
    libdl.so.2()(64bit)
    libecore.so.1()(64bit)
    libecore_con.so.1()(64bit)
    libecore_evas.so.1()(64bit)
    libecore_fb.so.1()(64bit)
    libecore_file.so.1()(64bit)
    libecore_imf.so.1()(64bit)
    libecore_sdl.so.1()(64bit)
    libecore_x.so.1()(64bit)
    libedbus.so.1()(64bit)
    libedje.so.1()(64bit)
    libeet.so.1()(64bit)
    libefreet.so.1()(64bit)
    libefreet_mime.so.1()(64bit)
    libefreet_trash.so.1()(64bit)
    libeina.so.1()(64bit)
    libeio.so.1()(64bit)
    libelementary.so.1()(64bit)
    libemotion.so.1()(64bit)
    libevas.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    rtld(GNU_HASH)

elementary-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    elementary(x86-64)
    libelementary.so.1()(64bit)
    pkgconfig(ecore)
    pkgconfig(ecore-con)
    pkgconfig(ecore-evas)
    pkgconfig(ecore-fb)
    pkgconfig(ecore-file)
    pkgconfig(ecore-imf)
    pkgconfig(ecore-sdl)
    pkgconfig(ecore-x)
    pkgconfig(edbus)
    pkgconfig(edje)
    pkgconfig(eet)
    pkgconfig(efreet)
    pkgconfig(efreet-mime)
    pkgconfig(efreet-trash)
    pkgconfig(eina)
    pkgconfig(eio)
    pkgconfig(emotion)
    pkgconfig(evas)



Provides
--------
elementary:
    elementary
    elementary(x86-64)
    libelementary.so.1()(64bit)

elementary-devel:
    elementary-devel
    elementary-devel(x86-64)
    pkgconfig(elementary)



Unversioned so-files
--------------------
elementary: /usr/lib64/edje/modules/elm/linux-gnu-x86_64-1.0.0/module.so
elementary: /usr/lib64/elementary/modules/access_output/linux-gnu-x86_64-1.7.8/module.so
elementary: /usr/lib64/elementary/modules/datetime_input_ctxpopup/linux-gnu-x86_64-1.7.8/module.so
elementary: /usr/lib64/elementary/modules/test_entry/linux-gnu-x86_64-1.7.8/module.so
elementary: /usr/lib64/elementary/modules/test_map/linux-gnu-x86_64-1.7.8/module.so

Source checksums
----------------
http://download.enlightenment.org/releases/elementary-1.7.8.tar.bz2 :
  CHECKSUM(SHA256) this package     : 4b5911ff736157c8271fc83e5176963cbf505aedef26469eb74caf175ae83b53
  CHECKSUM(SHA256) upstream package : 4b5911ff736157c8271fc83e5176963cbf505aedef26469eb74caf175ae83b53


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 891282
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 18 Wolfgang Ulbrich 2013-09-27 22:18:15 EDT
I don't know why rpmlint bother for
elementary.x86_64: W: desktopfile-without-binary /usr/share/applications/elementary_test.desktop elementary_test

This file doesn't exits anymore in resulting rpm.
Comment 19 Dan Mashal 2013-09-27 22:19:07 EDT
New Package SCM Request
=======================
Package Name: elementary
Short Description: Basic widget set that is easy to use based on EFL
Owners: vicodan sundaram spot
Branches: f19 f20
Comment 20 Michael Schwendt 2013-09-28 05:09:04 EDT
> I don't know why rpmlint bother for
> elementary.x86_64: W: desktopfile-without-binary /usr/share/applications
> /elementary_test.desktop elementary_test
> 
> This file doesn't exits anymore in resulting rpm.

It doesn't do that. It certainly doesn't report something like that for a file that isn't included in the build results anymore. Are you sure you've run "fedora-review -b 891282" successfully?
Comment 21 Wolfgang Ulbrich 2013-09-28 06:08:36 EDT
(In reply to Michael Schwendt from comment #20)
> > I don't know why rpmlint bother for
> > elementary.x86_64: W: desktopfile-without-binary /usr/share/applications
> > /elementary_test.desktop elementary_test
> > 
> > This file doesn't exits anymore in resulting rpm.
> 
> It doesn't do that. It certainly doesn't report something like that for a
> file that isn't included in the build results anymore. Are you sure you've
> run "fedora-review -b 891282" successfully?

What a question......, the reason is that the old unpacked rpm from 1.7.8-3 version was in my mock chroot.

Why you never run fedora-review for yourself for confirming the results?
This could answered your question ;)
Comment 22 Michael Schwendt 2013-09-28 06:19:43 EDT
> the reason is that the old unpacked rpm from 1.7.8-3 version was in my
> mock chroot.

The report you've included in this ticket refers to 1.7.8-4 however in the rpmlint section. Perhaps the packages have been updated silently after the approval?

  $ rpm -qpi elementary-1.7.8-4.fc19.src.rpm |grep 'Build Date'
  Build Date  : Sat 28 Sep 2013 03:58:58 CEST

That's quite newer than the approval on Fri 27th. 


> Why you never run fedora-review for yourself for confirming the results?

I *have* run it before adding comment 20, and it retrieves the latest spec file and src.rpm from the ticket. The problem is not reproducible.


Rpmlint
-------
Checking: elementary-1.7.8-4.fc20.x86_64.rpm
          elementary-devel-1.7.8-4.fc20.x86_64.rpm
          elementary-1.7.8-4.fc20.src.rpm
elementary.x86_64: W: no-manual-page-for-binary elementary_run
elementary.x86_64: W: no-manual-page-for-binary elementary_config
elementary.x86_64: W: no-manual-page-for-binary elementary_quicklaunch
elementary-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint elementary elementary-devel
elementary.x86_64: W: no-manual-page-for-binary elementary_run
elementary.x86_64: W: no-manual-page-for-binary elementary_config
elementary.x86_64: W: no-manual-page-for-binary elementary_quicklaunch
elementary-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'
Comment 23 Wolfgang Ulbrich 2013-09-28 08:31:33 EDT
(In reply to Michael Schwendt from comment #22)
> > the reason is that the old unpacked rpm from 1.7.8-3 version was in my
> > mock chroot.
> 
> The report you've included in this ticket refers to 1.7.8-4 however in the
> rpmlint section. Perhaps the packages have been updated silently after the
> approval?
Again, i did first run fedora-review-tool with 1.7.8-3 and forgot to remove /var/lib/mock/fedora-rawhide-x86_64/root
I result running fedora-review-tool with 1.7.8-4 in the same chroot shows rpmlint issues from un-packed 1.7.8-3 rpm.
After deleting /var/lib/mock/fedora-rawhide-x86_64/root i got this results.

Rpmlint (installed packages)
----------------------------
# rpmlint elementary elementary-devel
elementary.x86_64: W: no-manual-page-for-binary elementary_run
elementary.x86_64: W: no-manual-page-for-binary elementary_config
elementary.x86_64: W: no-manual-page-for-binary elementary_quicklaunch
elementary-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'

Did you never run in this fedora-review issue with another package?
Comment 24 Michael Schwendt 2013-09-28 11:10:18 EDT
Questions:

1) Why doesn't rpmlint mention the old packages? In the fedora-review output you've posted in comment 17, it only referred to

| Rpmlint
| -------
| Checking: elementary-1.7.8-4.fc21.x86_64.rpm
|           elementary-devel-1.7.8-4.fc21.x86_64.rpm
|           elementary-1.7.8-4.fc21.src.rpm

and

| Rpmlint (installed packages)


2) Does it "install" the new builds without updating/replacing the old builds?

3) The src.rpm been updated since the approval. The spec file on Sep 28th 03:46, the src.rpm has been rebuilt 12 minutes later. What has been changed in the package?


> Did you never run in this fedora-review issue with another package?

No.
Comment 25 Wolfgang Ulbrich 2013-09-28 11:31:57 EDT
(In reply to Michael Schwendt from comment #24)
> Questions:
> 
> 1) Why doesn't rpmlint mention the old packages? In the fedora-review output
> you've posted in comment 17, it only referred to
Because in mock build dir was a left over from the former review
/var/lib/mock/fedora-rawhide-x86_64/root/elementary-1.7.8-3.fc19.src.rpm

This is easy to test, first review 1.7.8-3 and than review 1.7.8-4 without removing /var/lib/mock/fedora-rawhide-x86_64/root.

I'm still wondering that you never know about this effect ;)
Comment 26 Michael Schwendt 2013-09-28 12:30:36 EDT
It's _not_ reproducible here. When I run "fedora-review -b 891282", it removes old packages from /var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/RPMS.

And "mock --chroot 'rpm -qa elem\*'" also lists only the 1.7.8-4.fc20 builds as installed.

Further, you haven't explained why rpmlint would examine _old_ rpms without printing their names. I think you are mistaken about what has happened.
Comment 27 Wolfgang Ulbrich 2013-09-28 12:59:59 EDT
It's no problem for me to reproduce the fedora-review-tool/mock issue , if i review both srpm's as local packages with
fedora-review  -v -r -n elementary -m fedora-rawhide-x86_64
without deleting /var/lib/mock/fedora-rawhide-x86_64/root/  .
Same results ;)
Comment 28 Alec Leamas 2013-09-28 13:10:50 EDT
Wolfgang: this is perhaps not the place to fix a possible fedora-review bug. I would appreciate if you filed a bug against fedora-review for this so we can sort it out (at https://fedorahosted.org/FedoraReview/).
Comment 29 Michael Schwendt 2013-09-28 14:49:28 EDT
https://fedorahosted.org/FedoraReview/ticket/230

The reason is that fedora-review does not "update" already installed older builds of the package in the Mock chroot. See question 2 in comment 24. The answer to that question is "no".

Steps to reproduce:

1) Run mock --init
2) Run fedora-review for the older src.rpm:

...
INFO: installing package(s): /home/personal_tmp/reviews/elementary/elementary/results/elementary-1.7.8-3.fc21.x86_64.rpm /home/personal_tmp/reviews/elementary/elementary/results/elementary-devel-1.7.8-3.fc21.x86_64.rpm
...

3) Run fedora-review for the newer src.rpm:

...
DEBUG: Running check: CheckPackageInstalls
DEBUG: Avoiding init of working mock root
INFO: Installing built package(s)
DEBUG: is_installed: Tested elementary, result: 0
DEBUG: Skipping already installed: elementary
DEBUG: is_installed: Tested elementary-devel, result: 0
DEBUG: Skipping already installed: elementary-devel
DEBUG:     CheckPackageInstalls completed: 1.142 seconds
DEBUG: Running check: CheckRpmlintInstalled
DEBUG: is_installed: Tested rpmlint, result: 0
DEBUG: Skipping already installed: rpmlint
...

So, it tests the old builds.
Comment 30 Wolfgang Ulbrich 2013-09-28 15:09:35 EDT
es hat zwar gedauert....satte 9 post später.....aber ich habe den Groschen auch fallen gehört.
Comment 31 Michael Schwendt 2013-09-28 15:47:22 EDT
Is that supposed to be funny?

First you write that you don't know why rpmlint reports something that's not included in the built rpms anymore (comment 18)? Shortly after you wonder why I didn't knew about such a bug? A bit later you claim you've seen it before.

It would have been much more productive to report it instead of treating it like a known defect, which everybody should be aware of. I don't run fedora-review too often with an unclean mock root, at most once per review for some of its valuable checks (e.g. licensing related).
Comment 32 Wolfgang Ulbrich 2013-09-28 16:31:13 EDT
I don't know why you don't know a well known issue.
If you have a prob with me personal ping me on irc (Klar Text reden).
Otherwise don't waste my time anymore.
Comment 33 Michael Schwendt 2013-09-28 16:51:06 EDT
comment 18:

> I don't know why rpmlint bother for
> elementary.x86_64: W: desktopfile-without-binary /usr/share/applications
> /elementary_test.desktop elementary_test
>
> This file doesn't exits anymore in resulting rpm.

comment 32:

> I don't know why you don't know a well known issue.


> If you have a prob with me personal ping me on irc (Klar Text reden).

Dunno what would change then. It would be a waste of time, wouldn't it?
Comment 34 Wolfgang Ulbrich 2013-09-28 17:03:25 EDT
You bore me!
Stop spamming this review request!
Comment 35 Alec Leamas 2013-09-29 07:06:06 EDT
(In reply to Wolfgang Ulbrich from comment #30)
> es hat zwar gedauert....satte 9 post später.....aber ich habe den Groschen
> auch fallen gehört.

The language used here is English. I can actually understand that, but it's still rude trying to be private this way.
Comment 36 Jon Ciesla 2013-09-30 08:24:45 EDT
Git done (by process-git-requests).
Comment 37 Fedora Update System 2013-09-30 11:24:37 EDT
elementary-1.7.8-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/elementary-1.7.8-4.fc20
Comment 38 Fedora Update System 2013-09-30 11:24:54 EDT
elementary-1.7.8-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/elementary-1.7.8-4.fc19
Comment 39 Fedora Update System 2013-09-30 22:07:10 EDT
elementary-1.7.8-4.fc20 has been pushed to the Fedora 20 testing repository.
Comment 40 Fedora Update System 2013-10-09 10:32:58 EDT
elementary-1.7.8-4.fc20 has been pushed to the Fedora 20 stable repository.
Comment 41 Fedora Update System 2013-10-09 20:53:13 EDT
elementary-1.7.8-4.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.